#pragma once
#include "FFGLSDK.h"

#include "ffgl/FFGL.cpp"
#include "ffgl/FFGLPluginInfo.cpp"
#include "ffgl/FFGLPluginInfoData.cpp"
#include "ffgl/FFGLPluginManager.cpp"
#include "ffgl/FFGLPluginSDK.cpp"

#include "ffglex/FFGLFBO.cpp"
#include "ffglex/FFGLScopedBufferBinding.cpp"
#include "ffglex/FFGLScopedSamplerActivation.cpp"
#include "ffglex/FFGLScopedShaderBinding.cpp"
#include "ffglex/FFGLScopedTextureBinding.cpp"
#include "ffglex/FFGLScopedVAOBinding.cpp"
#include "ffglex/FFGLScreenQuad.cpp"
#include "ffglex/FFGLShader.cpp"
#include "ffglex/FFGLUtilities.cpp"

#include "ffglquickstart/Audio.cpp"
#include "ffglquickstart/Effect.cpp"
#include "ffglquickstart/Mixer.cpp"
#include "ffglquickstart/Plugin.cpp"
#include "ffglquickstart/Source.cpp"

// 2019-07-10 ffgl@subpixels.com - include LaunchDebugger.cpp
#if defined( _DEBUG ) && defined( WIN32 )
#include "misc/LaunchDebugger.cpp"
#endif

#include "glsdk_0_5_2/glload/source/gl_load.c"