#pragma once
#include "ffgl/FFGL.h"
#include "ffgl/FFGLLib.h"
#include "ffgl/FFGLPluginSDK.h"

#include "ffglex/FFGLFBO.h"
#include "ffglex/FFGLScopedBufferBinding.h"
#include "ffglex/FFGLScopedSamplerActivation.h"
#include "ffglex/FFGLScopedShaderBinding.h"
#include "ffglex/FFGLScopedTextureBinding.h"
#include "ffglex/FFGLScopedVAOBinding.h"
#include "ffglex/FFGLScreenQuad.h"
#include "ffglex/FFGLShader.h"
#include "ffglex/FFGLUtilities.h"

#include "ffglquickstart/Audio.h"
#include "ffglquickstart/Effect.h"
#include "ffglquickstart/Mixer.h"
#include "ffglquickstart/Params.h"
#include "ffglquickstart/Plugin.h"
#include "ffglquickstart/Source.h"
#include "ffglquickstart/Utils.h"

// 2019-07-10 ffgl@subpixels.com - include LaunchDebugger.h
#if defined( _DEBUG ) && defined( WIN32 )
#include "misc/LaunchDebugger.h"
#endif
